//
// Created by rhetenor on 13.12.18.
//

#ifndef FLIPPR_DRIVER_DRIVERBOARDPINCONTROLLER_H
#define FLIPPR_DRIVER_DRIVERBOARDPINCONTROLLER_H

#include "PinController.h"

namespace flippR_driver
{
namespace output
{

namespace items
{
  class DriverBoardItem;
}

class DriverBoardPinController : public PinController
{
public:
  virtual ~DriverBoardPinController() = default;

  virtual void activate(items::DriverBoardItem &driver_board_item) = 0;
  virtual void deactivate(items::DriverBoardItem &driver_board_item) = 0;
  virtual void clear() = 0;

};

}
}
#endif //FLIPPR_DRIVER_DRIVERBOARDPINCONTROLLER_H
